Skip to main content
GET
/
ai-agents
/
agent-builder
/
knowledge-base
/
website
/
{parentUniqueId}
/
discovered-urls
Get Discovered URLs
curl --request GET \
  --url https://{appid}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/knowledge-base/website/{parentUniqueId}/discovered-urls \
  --header 'apikey: <api-key>'
{
  "data": [
    {
      "urlId": "uuid-abcd-1234",
      "url": "https://docs.example.com/guide",
      "title": "Getting Started Guide",
      "description": "Learn how to get started...",
      "content": "Page content preview...",
      "status": "processed",
      "lastCrawledAt": 1701789123456,
      "retryCount": 0,
      "createdAt": 1701789000000,
      "updatedAt": 1701789123456,
      "vectorizationStatus": "completed",
      "chunksCreated": 5,
      "embeddingsGenerated": 5
    }
  ],
  "meta": {
    "current": {
      "limit": 123,
      "count": 123
    },
    "previous": {
      "affix": "prepend",
      "cursor": "<string>"
    },
    "next": {
      "affix": "append",
      "cursor": "<string>"
    }
  }
}

Authorizations

apikey
string
header
required

API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).

Path Parameters

parentUniqueId
string
required

Query Parameters

cursor
string

Pagination cursor (timestamp from previous response meta)

Example:

"1701789000000"

limit
number

Number of records per page (default: 10, maximum: 100)

Example:

20

affix
enum<string>

Navigation direction: "append" for next/older records, "prepend" for previous/newer records

Available options:
append,
prepend
status
enum<string>

Filter by URL processing status

Available options:
discovered,
processing,
processed,
failed,
skipped
startTime
number

Start timestamp (Unix timestamp in milliseconds) to filter records created after this time

Example:

1701780000000

endTime
number

End timestamp (Unix timestamp in milliseconds) to filter records created before this time

Example:

1701790000000

Response

Discovered URLs retrieved successfully with pagination metadata

data
object[]

Array of discovered URL records

meta
object

Pagination metadata for navigation